/**
 * Donjon & Cie - Systeme FoundryVTT
 *
 * Donjon & Cie est un jeu de role edite par John Doe.
 * Ce systeme FoundryVTT est une implementation independante et n'est pas
 * affilie a John Doe.
 *
 * @author    LeRatierBretonnien
 * @copyright 2025–2026 LeRatierBretonnien
 * @license   CC BY-NC-SA 4.0 – https://creativecommons.org/licenses/by-nc-sa/4.0/
 */

import BaseItemDataModel from "./base-item.mjs";

export default class ArmureDataModel extends BaseItemDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      ...super.defineSchema(),
      delta: new fields.NumberField({ initial: 8, integer: true }),
      resultatProtection: new fields.NumberField({ initial: 0, integer: true }),
      equipee: new fields.BooleanField({ initial: false }),
      encombrement: new fields.StringField({ initial: "" })
    };
  }
}
